%global packname  ROC

Name:             R-%{packname}
Version:          1.24.1
Release:          1%{?dist}
Summary:          Utilities for ROC

Group:            Applications/Engineering
License:          Artistic 2.0
URL:              http://bioconductor.org/packages/release/bioc/html/ROC.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-core >= 1.9.0
Requires:         R-Biobase 
BuildRequires:    R-devel >= 1.9.0
BuildRequires:    tex(latex)
BuildRequires:    R-Biobase

%description
Utilities for ROC with uarray focus.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

# No reasons this file should be executable
chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/doc/ROC.nw


%check
R CMD check %{packname}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)

# noarch
%dir %{_libdir}/R/library/%{packname}/
%doc %{_libdir}/R/library/%{packname}/doc/
%doc %{_libdir}/R/library/%{packname}/html/
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/


%changelog
* Mon Jul 12 2010 Sandro Mathys <red at fedoraproject.org> - 1.24.1-1
- New version with fix for licensing issues

* Thu May 13 2010 Sandro Mathys <red at fedoraproject.org> - 1.24.0-1
- initial package
